Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.networks.training.concurrent.performers
Class ConcurrentTrainingPerformerCPU

    java.lang.Object
      org.encog.neural.networks.training.concurrent.performers.ConcurrentTrainingPerformerCPU

All Implemented Interfaces:
  Runnable, ConcurrentTrainingPerformer

    public class ConcurrentTrainingPerformerCPU

extends Object
implements ConcurrentTrainingPerformer, Runnable

This performer allows jobs to be performed by the CPU.

Constructor Summary
`ConcurrentTrainingPerformerCPU(int number)` Construct the performer.

Method Summary
`ConcurrentTrainingManager` | `getManager()` Get the manager.
`int` | `getNumber()`
`void` | `perform(TrainingJob job)` Perform the specified job.
`boolean` | `ready()`
`void` | `run()`
`void` | `setManager(ConcurrentTrainingManager manager)` Set the manager.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrentTrainingPerformerCPU

    public ConcurrentTrainingPerformerCPU(int number)

  Construct the performer.

  Parameters:
    `number` -

Method Detail

### getManager

    public final ConcurrentTrainingManager getManager()

  Get the manager.

  Specified by:
    `getManager` in interface `ConcurrentTrainingPerformer`
  Returns:
    The manager

### getNumber

    public final int getNumber()

### perform

    public final void perform(TrainingJob job)

  Perform the specified job.

  Specified by:
    `perform` in interface `ConcurrentTrainingPerformer`
  Parameters:
    `job` - The job to perform.

### ready

    public final boolean ready()

  Specified by:
    `ready` in interface `ConcurrentTrainingPerformer`
  Returns:
    True, if this performer is ready to train a job.

### run

    public final void run()

  Specified by:
    `run` in interface `Runnable`

### setManager

    public final void setManager(ConcurrentTrainingManager manager)

  Set the manager.

  Specified by:
    `setManager` in interface `ConcurrentTrainingPerformer`
  Parameters:
    `manager` - The manager.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.